View Issue Details

IDProjectCategoryView StatusLast Update
0001232bareos-core[All Projects] installer / packagespublic2021-09-14 12:19
ReporterrogernAssigned Tobruno-at-bareos 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformLinuxOSCentOSOS Version8
Product Version19.2.7 
Fixed in Version 
Summary0001232: bareos logrotate errors
DescriptionProblem with logrotate seems to be back (previously addressed and fixed in 0000417) due to missing

su bareos bareos

in /etc/logrotate.d/bareos-dir

Logrotate gives "error: skipping "/var/log/bareos/bareos.log" because parent directory has insecure permissions (It's world writable or writable by group which is not "root") Set "su" directive in config file to tell logrotate which user/group should be used for rotation."
Also the same for bareos-audit.log
Steps To ReproduceTwo fresh installs of 19.2.7 with same error from logrotate and lacking "su bareos bareos" in /etc/logrotate.d/bareos-dir
TagsNo tags attached.
bareos-master: impactyes
bareos-master: actionfixed
bareos-19.2: impactyes
bareos-19.2: actionfixed
bareos-18.2: impactyes
bareos-18.2: actionfixed
bareos-17.2: impactyes
bareos-17.2: actionnone
bareos-16.2: impactyes
bareos-16.2: actionnone
bareos-15.2: impact
bareos-15.2: action
bareos-14.2: impact
bareos-14.2: action
bareos-13.2: impact
bareos-13.2: action
bareos-12.4: impact
bareos-12.4: action

Relationships

related to 0001361 closedarogge Release Bareos 20.0.3 

Activities

bruno-at-bareos

bruno-at-bareos

2021-09-08 13:46

developer   ~0004256

PR is now proposed with also backport to supported version
https://github.com/bareos/bareos/pull/918
bruno-at-bareos

bruno-at-bareos

2021-09-09 15:07

developer   ~0004259

PR#918 has been merged, and backport will be made to 20,19,18 Monday 13th. and will be available on next minor release.
bruno-at-bareos

bruno-at-bareos

2021-09-09 15:22

developer   ~0004260

Fix committed to bareos master branch with changesetid 15139.
bruno-at-bareos

bruno-at-bareos

2021-09-09 16:22

developer   ~0004261

Fix committed to bareos bareos-19.2 branch with changesetid 15141.

Related Changesets

bareos: master 2f324897

2021-09-08 11:20:34

bruno-at-bareos

Ported: N/A

Details Diff
scripts: Fix logrotate by adding su instruction

Fixes 0001232: bareos logrotate errors

Signed-off-by: Bruno Friedmann <bruno.friedmann@bareos.com>
Affected Issues
0001232
mod - core/scripts/logrotate.in Diff File

bareos: bareos-18.2 a3e5b525

2021-09-08 11:20:34

bruno-at-bareos


Committer: pstorz

Ported: N/A

Details Diff
scripts: Fix logrotate by adding su instruction

Fixes 0001232: bareos logrotate errors

Signed-off-by: Bruno Friedmann <bruno.friedmann@bareos.com>
Affected Issues
0001232
mod - core/scripts/logrotate.in Diff File

bareos: bareos-19.2 8408857d

2021-09-08 11:20:34

bruno-at-bareos


Committer: pstorz

Ported: N/A

Details Diff
scripts: Fix logrotate by adding su instruction

Fixes 0001232: bareos logrotate errors

Signed-off-by: Bruno Friedmann <bruno.friedmann@bareos.com>
(cherry picked from commit 2f324897cd2eb5fa5e696aab95873e478870b531)
(cherry picked from commit 0017b32d933c737cabe0de778b0d950dab04fdfd)
Affected Issues
0001232
mod - core/scripts/logrotate.in Diff File

Issue History

Date Modified Username Field Change
2020-04-21 09:26 rogern New Issue
2021-09-08 13:46 bruno-at-bareos Note Added: 0004256
2021-09-08 15:10 bruno-at-bareos Assigned To => bruno-at-bareos
2021-09-08 15:10 bruno-at-bareos Status new => assigned
2021-09-09 15:07 bruno-at-bareos Status assigned => resolved
2021-09-09 15:07 bruno-at-bareos Resolution open => fixed
2021-09-09 15:07 bruno-at-bareos bareos-master: impact => yes
2021-09-09 15:07 bruno-at-bareos bareos-master: action => fixed
2021-09-09 15:07 bruno-at-bareos bareos-19.2: impact => yes
2021-09-09 15:07 bruno-at-bareos bareos-19.2: action => fixed
2021-09-09 15:07 bruno-at-bareos bareos-18.2: impact => yes
2021-09-09 15:07 bruno-at-bareos bareos-18.2: action => fixed
2021-09-09 15:07 bruno-at-bareos bareos-17.2: impact => yes
2021-09-09 15:07 bruno-at-bareos bareos-17.2: action => none
2021-09-09 15:07 bruno-at-bareos bareos-16.2: impact => yes
2021-09-09 15:07 bruno-at-bareos bareos-16.2: action => none
2021-09-09 15:07 bruno-at-bareos Note Added: 0004259
2021-09-09 15:22 bruno-at-bareos Changeset attached => bareos master 2f324897
2021-09-09 15:22 bruno-at-bareos Note Added: 0004260
2021-09-09 16:22 pstorz Changeset attached => bareos bareos-18.2 a3e5b525
2021-09-09 16:22 pstorz Changeset attached => bareos bareos-19.2 8408857d
2021-09-09 16:22 bruno-at-bareos Note Added: 0004261
2021-09-14 12:19 arogge_adm Relationship added related to 0001361